.. AUTO-GENERATED FILE. DO NOT EDIT. store-carts-patch-one ===================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-patch-17`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/store-carts-patch-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-patch-17`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-patch-17 Module: jef-store Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /store-carts-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-carts Payload Example: - pk: cart-1001-0001 - gsi_1_pk: 1001 - gsi_1_sk: 2026-05-04T09:07:00+08:00 - gsi_2_pk: EMP-1001-0001 - gsi_2_sk: active - cart_id: cart-1001-0001 - entity_number: 1001 - employee_number: EMP-1001-0001 - customer_number: CUS-1001-0001 - order_mode: Pandan Coconut Sea Salt Latte order mode 1001-0001 - cart_status: active - subtotal: 1896 - shipping_fee: 1001 - discount: 1001 - grand_total: 1896 - total_quantity: 15 - is_active: true - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: 2f258b16-3caa-5b00-9d1c-abd383442fa7 - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{cart_id} - gsi_1_pk: string-{entity_number} - gsi_1_sk: string-{updated_at} - gsi_2_pk: string-{employee_number} - gsi_2_sk: string-{cart_status} - cart_id: string - entity_number: string - employee_number: string - customer_number: string - order_mode: string - cart_status: string - subtotal: number - shipping_fee: number - discount: number - grand_total: number - total_quantity: number - is_active: boolean - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "cart-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04T09:07:00+08:00", "gsi_2_pk": "EMP-1001-0001", "gsi_2_sk": "active", "cart_id": "cart-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "customer_number": "CUS-1001-0001", "order_mode": "Pandan Coconut Sea Salt Latte order mode 1001-0001", "cart_status": "active", "subtotal": "1896", "shipping_fee": "1001", "discount": "1001", "grand_total": "1896", "total_quantity": "15", "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "2f258b16-3caa-5b00-9d1c-abd383442fa7", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"cart-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"2026-05-04T09:07:00+08:00\", \"gsi_2_pk\": \"EMP-1001-0001\", \"gsi_2_sk\": \"active\", \"cart_id\": \"cart-1001-0001\", \"entity_number\": \"1001\", \"employee_number\": \"EMP-1001-0001\", \"customer_number\": \"CUS-1001-0001\", \"order_mode\": \"Pandan Coconut Sea Salt Latte order mode 1001-0001\", \"cart_status\": \"active\", \"subtotal\": 1896, \"shipping_fee\": 1001, \"discount\": 1001, \"grand_total\": 1896, \"total_quantity\": 15, \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"2f258b16-3caa-5b00-9d1c-abd383442fa7\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-carts-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "cart-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "2026-05-04T09:07:00+08:00", "gsi_2_pk": "EMP-1001-0001", "gsi_2_sk": "active", "cart_id": "cart-1001-0001", "entity_number": "1001", "employee_number": "EMP-1001-0001", "customer_number": "CUS-1001-0001", "order_mode": "Pandan Coconut Sea Salt Latte order mode 1001-0001", "cart_status": "active", "subtotal": 1896, "shipping_fee": 1001, "discount": 1001, "grand_total": 1896, "total_quantity": 15, "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "2f258b16-3caa-5b00-9d1c-abd383442fa7", "schema_version": 1001, "version": 1001}'